<?php
//Initialization
$conf_media_icon_general = unserialize($conf['media_icon_general']);

//Save config
if (isset($_POST['submit'])) { 
	//New parameters
	$conf_media_icon_general['style'] = $_POST['media_icon_style'];
	
	//faire avec foreach
	foreach ($conf_media_icon_general['support'] as $media_icon_support => $value) {
	if(isset($_POST['media_icon_checkbox']['media_icon_checkbox_'.$media_icon_support]) && ($_POST['media_icon_checkbox']['media_icon_checkbox_'.$media_icon_support] == 1))
		$conf_media_icon_general['support'][$media_icon_support] = 1;
	else
		$conf_media_icon_general['support'][$media_icon_support] = 0;
	}
	
	//Save
	conf_update_param('media_icon_general', serialize($conf_media_icon_general));
	array_push($page['infos'], l10n('Information data registered in database'));
}

//Parameters of the template
$template->assign('media_icon_style',$conf_media_icon_general['style']);

$media_icon_style_selected = array();
foreach ($conf_media_icon_general['styles'] as $media_icon_style)
	$media_icon_style_selected[$media_icon_style] = (($conf_media_icon_general['style'] == $media_icon_style) ? 'selected="selected"' : '');

$template->assign('media_icon_style_selected', $media_icon_style_selected);
$template->assign('media_icon_support',$conf_media_icon_general['support']);
$template->assign(
	'media_icon_support_checked',
	array(
		'youtube' => (($conf_media_icon_general['support']['youtube'] == 1) ? 'checked = "checked"' : ""),
		'vimeo' => (($conf_media_icon_general['support']['vimeo'] == 1) ? 'checked = "checked"' : ""),
		'dailymotion' => (($conf_media_icon_general['support']['dailymotion'] == 1) ? 'checked = "checked"' : ""),
		'wideo' => (($conf_media_icon_general['support']['wideo'] == 1) ? 'checked = "checked"' : ""),
		'wat' => (($conf_media_icon_general['support']['wat'] == 1) ? 'checked = "checked"' : ""),
		'video' => (($conf_media_icon_general['support']['video'] == 1) ? 'checked = "checked"' : ""),
		'music' => (($conf_media_icon_general['support']['music'] == 1) ? 'checked = "checked"' : ""),
		'pdf' => (($conf_media_icon_general['support']['pdf'] == 1) ? 'checked = "checked"' : ""),
		'document' => (($conf_media_icon_general['support']['document'] == 1) ? 'checked = "checked"' : ""),
		'spreadsheet' => (($conf_media_icon_general['support']['spreadsheet'] == 1) ? 'checked = "checked"' : ""),
		'presentation' => (($conf_media_icon_general['support']['presentation'] == 1) ? 'checked = "checked"' : ""),
	)
);

//Add our template to the global template
$template->set_filenames(
	array(
		'plugin_admin_content_general' => dirname(__FILE__).'/admin_general.tpl'
	)
);
 
//Assign the template contents to ADMIN_CONTENT
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content_general');
?>